org.eclnt.jsfserver.elements.componentnodes

## Class SCENEJSNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SCENEJSNode

- All Implemented Interfaces:
    java.io.Serializable

      public class SCENEJSNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCENEJSNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SCENEJSNode` | `bindActionListener(IActionListenerDelegation value)`
    `SCENEJSNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `SCENEJSNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `SCENEJSNode` | `bindComment(IDynamicContentBindingObject value)`
    `SCENEJSNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SCENEJSNode` | `bindHeight(IDynamicContentBindingObject value)`
    `SCENEJSNode` | `bindRendered(IDynamicContentBindingObject value)`
    `SCENEJSNode` | `bindScenejsconfig(IDynamicContentBindingObject value)`
    `SCENEJSNode` | `bindWidth(IDynamicContentBindingObject value)`
    `SCENEJSNode` | `bindWithcallback(IDynamicContentBindingObject value)`
    `SCENEJSNode` | `setActionListener(java.lang.String value)`
    `SCENEJSNode` | `setAdapterbinding(java.lang.String value)`
    `SCENEJSNode` | `setAnimatechangeofsize(boolean value)`
    `SCENEJSNode` | `setAnimatechangeofsize(java.lang.String value)`
    `SCENEJSNode` | `setAttributemacro(java.lang.String value)`
    `SCENEJSNode` | `setComment(java.lang.String value)`
    `SCENEJSNode` | `setConfiginfo(java.lang.String value)`
    `SCENEJSNode` | `setHeight(int value)`
    `SCENEJSNode` | `setHeight(java.lang.String value)`
    `SCENEJSNode` | `setId(java.lang.String value)`
    `SCENEJSNode` | `setReference(java.lang.String value)`
    `SCENEJSNode` | `setRendered(boolean value)`
    `SCENEJSNode` | `setRendered(java.lang.String value)`
    `SCENEJSNode` | `setScenejsconfig(java.lang.String value)`
    `SCENEJSNode` | `setWidth(int value)`
    `SCENEJSNode` | `setWidth(java.lang.String value)`
    `SCENEJSNode` | `setWithcallback(boolean value)`
    `SCENEJSNode` | `setWithcallback(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SCENEJSNode

          public SCENEJSNode()

  - ### Method Detail

    - #### setId

          public SCENEJSNode setId(java.lang.String value)

    - #### setActionListener

          public SCENEJSNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public SCENEJSNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public SCENEJSNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public SCENEJSNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public SCENEJSNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public SCENEJSNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public SCENEJSNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public SCENEJSNode setAttributemacro(java.lang.String value)

    - #### setComment

          public SCENEJSNode setComment(java.lang.String value)

    - #### bindComment

          public SCENEJSNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public SCENEJSNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SCENEJSNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public SCENEJSNode setHeight(java.lang.String value)

    - #### bindHeight

          public SCENEJSNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public SCENEJSNode setHeight(int value)

    - #### setReference

          public SCENEJSNode setReference(java.lang.String value)

    - #### setRendered

          public SCENEJSNode setRendered(java.lang.String value)

    - #### bindRendered

          public SCENEJSNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public SCENEJSNode setRendered(boolean value)

    - #### setScenejsconfig

          public SCENEJSNode setScenejsconfig(java.lang.String value)

    - #### bindScenejsconfig

          public SCENEJSNode bindScenejsconfig(IDynamicContentBindingObject value)

    - #### setWidth

          public SCENEJSNode setWidth(java.lang.String value)

    - #### bindWidth

          public SCENEJSNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public SCENEJSNode setWidth(int value)

    - #### setWithcallback

          public SCENEJSNode setWithcallback(java.lang.String value)

    - #### bindWithcallback

          public SCENEJSNode bindWithcallback(IDynamicContentBindingObject value)

    - #### setWithcallback

          public SCENEJSNode setWithcallback(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.